xcb_shm_create_segment(3)

NAME
xcb_shm_create_segment -

SYNOPSIS
#include <xcb/shm.h>

  Request function

xcb_shm_create_segment_cookie_t xcb_shm_create_segment(xcb_connection_t *conn, xcb_shm_seg_t shmseg, uint32_t size, uint8_t read_only);

  Reply datastructure

typedef struct xcb_shm_create_segment_reply_t {
    uint8_t  response_type;
    uint8_t  nfd;
    uint16_t sequence;
    uint32_t length;
    uint8_t  pad0[24];
} xcb_shm_create_segment_reply_t;

  Reply function

xcb_shm_create_segment_reply_t *xcb_shm_create_segment_reply(xcb_connection_t *conn, xcb_shm_create_segment_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

shmseg
    TODO: NOT YET DOCUMENTED.

size
    TODO: NOT YET DOCUMENTED.

read_only
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_SHM_CREATE_SEGMENT. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

nfd TODO: NOT YET DOCUMENTED.

shm_fd
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_shm_create_segment_cookie_t. Errors have to be handled when calling the reply function xcb_shm_create_segment_reply. If you want to handle errors in the event loop instead, use xcb_shm_create_segment_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from shm.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.